%define ver_major 1.0

Name: gok
Version: %ver_major.8
Release: alt2

Summary: GOK is a GNOME On-screen Keyboard
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gok.ca

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define gtk_ver 2.3.1
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0
%define gnome_speech_ver 0.3.5
%define libwnck_ver 2.13.5

PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver

Requires: libgtk+2 >= %gtk_ver
Requires: gnome-speech >= %gnome_speech_ver

BuildPreReq: gnome-common

BuildPreReq: libgnomeui-devel >= 2.0
BuildPreReq: libat-spi-devel >= 1.5.2
BuildPreReq: libbonobo2-devel >= 2.5.1
BuildPreReq: libatk-devel >= 1.3.0
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libwnck-devel >= %libwnck_ver

BuildPreReq: gnome-speech-devel >= %gnome_speech_ver

BuildPreReq: gtk-doc libXi-devel libXt-devel libgail-devel

%description
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems. It features Direct Selection,
Dwell Selection, Automatic Scanning and Inverse Scanning access methods
and includes word completion.

%package devel
Summary: Development files for GOK
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files and documentation for the GNOME
On-screen Keyboard (GOK).

%define _sklocalstatedir %_localstatedir/scrollkeeper

%prep
%setup -q

%build
%configure --disable-schemas-install \
	--enable-gtk-doc

# SMP-incompatible build	
%make

%install
export OMF_DIR=%buildroot%_sklocalstatedir
%makeinstall
unset OMF_DIR

# fix schemas
%__subst 's,%buildroot,,g' %buildroot%_sysconfdir/gconf/schemas/*

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc README AUTHORS NEWS ChangeLog

%files devel
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%exclude %_sklocalstatedir

%changelog
* Mon May 29 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.0.8-alt2
- fixed Bug #9562.

* Thu May 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.0.8-alt1
- new version (1.0.8)
- revised dependencies.

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.0.7-alt1
- new version (1.0.7)
- spec cleanup
- removed Debian menu support.

* Sun Nov 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.0.5-alt2
- Fixed a non-existent macro in the spec.

* Tue Sep 06 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.5-alt1.1
- rebuild with libwnck.

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Wed Apr 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Thu Mar 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1.1
- rebuild against new libwnck.

* Thu Feb 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1.

* Mon Feb 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Sat Feb 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.12.4-alt1
- 0.12.4

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.11.16-alt1
- 0.11.16

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.10.2-alt1
- 0.10.2

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.10-alt1
- 0.9.10

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.4-alt1
- 0.8.4

* Tue Sep 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt1
- 0.8.3

* Sun Sep 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- First build for Sisyphus.
